> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Crypto Wallet

> The crypto wallet will contain the specified chain and coins an integrator desires to hold and one can create as many wallets as needed.

Create a crypto wallet to hold specified blockchain assets. The crypto wallet will contain the specified chain and coins that an integrator desires to hold, and you can create as many wallets as needed.


## OpenAPI

````yaml POST /api/v3/wallet/crypto
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/wallet/crypto:
    post:
      tags:
        - CRYPTO WALLET
      summary: Create a Crypto wallet
      description: >-
        The crypto wallet will contain the specified chain and coins an
        integrator desires to hold and one can create as many wallets as needed.
      operationId: CryptoWalletController_createCryptoWallet_api/v3
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCryptoWalletDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Wallet has been successfully created.
                  data:
                    $ref: '#/components/schemas/CryptoWalletResponseDto'
                    type: object
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Bad Request
                  data:
                    type: object
                    example: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    CreateCryptoWalletDto:
      type: object
      properties:
        name:
          type: string
          description: The name of the wallet
          example: My Wallet
        chain:
          description: >-
            The chain of the wallet.Its required if the wallet is a crypto
            wallet
          example: eg CELO or ETHEREUM or AVALANCHE or POLYGON
          allOf:
            - $ref: '#/components/schemas/Chain'
      required:
        - name
    CryptoWalletResponseDto:
      type: object
      properties:
        name:
          type: string
          description: The name of the wallet
          example: My Wallet
        balance:
          type: number
          description: The amount of the wallet
          example: 1000
        address:
          type: string
          description: Wallet transaction address
          example: '0x1234567890'
        customAddress:
          type: string
          description: custom for deposits public address
          example: '0x1234567890'
        type:
          description: Select wallet type
          example: eg crypto or fiat
          allOf:
            - $ref: '#/components/schemas/WalletType'
        coin:
          description: The currency of the wallet
          example: eg CUSD or USDC or USDT
          allOf:
            - $ref: '#/components/schemas/StableCoin'
        chain:
          description: >-
            The chain of the wallet.Its required if the wallet is a crypto
            wallet
          example: eg CELO or ETHEREUM or AVALANCHE or POLYGON
          allOf:
            - $ref: '#/components/schemas/Chain'
        id:
          type: string
          description: The id of the wallet
          example: f053188c-d924-4423-bbba-871eda0b1cd9
        tokenBalance:
          description: The token balance of the wallet
          example:
            - token: USDT
              balance: '1000'
              fiatValue: '1000'
          type: array
          items:
            type: string
        fiatBalance:
          type: number
          description: Total fiat value of the wallet balances (USD)
          example: 1000
        fiatCurrency:
          type: string
          description: Fiat currency used for wallet balance conversion
          example: USD
      required:
        - name
        - balance
        - type
        - coin
        - id
    Chain:
      type: string
      enum:
        - ETHEREUM
        - CELO
        - AVALANCHE
        - POLYGON
        - ARBITRUM
        - OPTIMISM
        - STELLAR
        - TRON
        - FUSE
        - LIGHTNING
        - SOLANA
        - PROVENANCE
        - CARDANO
        - HEDERA
        - BASE
        - LISK
        - VICTION
        - SCROLL
      description: The chain of the wallet.Its required if the wallet is a crypto wallet
    WalletType:
      type: string
      enum:
        - crypto
        - fiat
      description: Select wallet type
    StableCoin:
      type: string
      enum:
        - CUSD
        - USDC
        - USDT
        - USDT0
        - SAT
        - BTC
        - HASH
        - FUSE
        - HBAR
        - USDGLO
        - CKES
        - CGHS
        - MSAT
        - XLM
        - ADA
      description: The currency of the wallet
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````